Package org.codehaus.groovy.ast

## Class DynamicVariable

- java.lang.Object
- - org.codehaus.groovy.ast.DynamicVariable

- All Implemented Interfaces:
    `Variable`

      public class DynamicVariable
      extends java.lang.Object
      implements Variable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicVariable​(java.lang.String name, boolean context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getInitialExpression()` | expression used to initialize the variable or null of there is no initialization.
    `int` | `getModifiers()` |
    `java.lang.String` | `getName()` | the name of the variable
    `ClassNode` | `getOriginType()` | the type before wrapping primitives type of the variable
    `ClassNode` | `getType()` | the type of the variable
    `boolean` | `hasInitialExpression()` | returns true if there is an initialization expression
    `boolean` | `isClosureSharedVariable()` |
    `boolean` | `isDynamicTyped()` |
    `boolean` | `isInStaticContext()` | returns true if this variable is used in a static context.
    `void` | `setClosureSharedVariable​(boolean inClosure)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicVariable

          public DynamicVariable​(java.lang.String name,
                                 boolean context)

  - ### Method Detail

    - #### getType

          public ClassNode getType()

      Description copied from interface: `Variable`
      the type of the variable
      Specified by:
        `getType` in interface `Variable`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Variable`
      the name of the variable
      Specified by:
        `getName` in interface `Variable`

    - #### getInitialExpression

          public Expression getInitialExpression()

      Description copied from interface: `Variable`
      expression used to initialize the variable or null of there is no initialization.
      Specified by:
        `getInitialExpression` in interface `Variable`

    - #### hasInitialExpression

          public boolean hasInitialExpression()

      Description copied from interface: `Variable`
      returns true if there is an initialization expression
      Specified by:
        `hasInitialExpression` in interface `Variable`

    - #### isInStaticContext

          public boolean isInStaticContext()

      Description copied from interface: `Variable`
      returns true if this variable is used in a static context. A static context is any static initializer block, when this variable is declared as static or when this variable is used in a static method
      Specified by:
        `isInStaticContext` in interface `Variable`

    - #### isDynamicTyped

          public boolean isDynamicTyped()

      Specified by:
        `isDynamicTyped` in interface `Variable`

    - #### isClosureSharedVariable

          public boolean isClosureSharedVariable()

      Specified by:
        `isClosureSharedVariable` in interface `Variable`

    - #### setClosureSharedVariable

          public void setClosureSharedVariable​(boolean inClosure)

      Specified by:
        `setClosureSharedVariable` in interface `Variable`

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in interface `Variable`

    - #### getOriginType

          public ClassNode getOriginType()

      Description copied from interface: `Variable`
      the type before wrapping primitives type of the variable
      Specified by:
        `getOriginType` in interface `Variable`